Opening the iTunes Store.If iTunes doesn’t open, click the iTunes icon in your Dock or on your Windows desktop.Progress Indicator
Opening the iBooks Store.If iBooks doesn't open, click the iBooks app in your Dock.Progress Indicator

iTunes is the world's easiest way to organize and add to your digital media collection.

We are unable to find iTunes on your computer. To buy and download Doctor Who News by Mobile Roadie, get iTunes now.

Do you already have iTunes? Click I Have iTunes to open it now.

I Have iTunes Free Download
iTunes for Mac + PC

Doctor Who News

By Mobile Roadie

Open iTunes to buy and download apps.


This Doctor Who News App (Unofficial) keeps you one tap away from the latest in the world of Doctor Who News! We've got your exclusive front row pass! This Doctor Who News App transforms the latest news, videos, events, and more, into a beautiful and interactive experience.

Features include the latest Doctor Who News News, Videos, Tour Dates, Pictures, Facts, Biography, Doctor Who Latest Tweets, Interviews, and more!

Requirements: iPhone or iPod touch running OS 4.0 or later, and an internet connection (such as WiFi for the iPod Touch).

All trademarks and copyrights are owned by their respective owners. This app is not endorsed by, or affiliated with, James Kelly, or his affiliated entities.

If you have any suggestions or need more information on this app please visit,

What's New in Version 5.1.3

This app has been updated with:
• iOS 7 UI optimizations
• COPPA 2013 compliance
• Geofencing improvements
• Translation improvements

iPhone Screenshot

iPhone Screenshot 1
iPhone Screenshot 2
iPhone Screenshot 3
iPhone Screenshot 4
iPhone Screenshot 5

Customer Reviews

Poor service again

No updates since 24 June. Now it doesn't even open The app support link don't respond to your emails Gonna mark it 1 star now.

Doctor Who News
View In iTunes
  • £1.49
  • Category: News
  • Updated:
  • Version: 5.1.3
  • Size: 16.7 MB
  • Languages: English, Arabic, Bokmål, Norwegian, Danish, Dutch, French, German, Hungarian, Italian, Japanese, Korean, Polish, Portuguese, Russian, Simplified Chinese, Spanish, Swedish, Traditional Chinese, Turkish
  • Developer:

Compatibility: Requires iOS 5.1 or later. Compatible with iPhone, iPad, and iPod touch.

Customer Ratings

We have not received enough ratings to display an average for the current version of this application.
All Versions: